package test;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.jws.WebService;

@WebService()
public class NewWebServiceFromWSDL {
    
    public static final Logger LOG = Logger.getLogger(NewWebServiceFromWSDL.class.getName());

    public boolean operation() {

        test.TestOkService request = new test.TestOkService();
        test.TestOk srv = request.getTestOkPort();

        int response = 0;

        try {
            response = srv.test();
        } catch (test.Exception_Exception ex) {
            LOG.log(Level.SEVERE, "operation: the command failed.", ex);
        }

        LOG.log(Level.INFO, "OK!: the command succeeded:"+response);
        return true;
    }

}
